commit: eb893f8acab290448dae3db3f570f7b39f89be3c
Author: Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Sat Feb 14 14:52:34 2026 +0000
Commit: Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Sat Feb 14 15:15:02 2026 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=eb893f8a
app-admin/himitsu: add 0.10
Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>
app-admin/himitsu/Manifest | 1 +
app-admin/himitsu/himitsu-0.10.ebuild | 36 +++++++++++++++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/app-admin/himitsu/Manifest b/app-admin/himitsu/Manifest
index ba285a140e..8eaab79cb8 100644
--- a/app-admin/himitsu/Manifest
+++ b/app-admin/himitsu/Manifest
@@ -1 +1,2 @@
+DIST himitsu-0.10.tar.gz 59028 BLAKE2B
928c8e5f9b4bf02c420d268b95ecac6239eeb63e11d0022e658a3eb1f7a33effb0bee9c1e5fbaf17510da1e4e137b7db0b9ad4328e139c5c0846985bb405977d
SHA512
88cc1323b2428bc035fcee0d140ac251a298c4bbb45193a39c5e99925c05ada756eb7668e0bab4162e1c35687b392d8234ec33cac72998f2f1bd27bf893b1dd2
DIST himitsu-0.9.tar.gz 58364 BLAKE2B
6917ac848ef05637496861c9f3650db8d2b376a8f40dad5a3aee7bf7135ed6dde4f7e11e8034b57aa6629156b8927a0ceaadddfb7533030e889bbfb80b10461d
SHA512
7082a13630a9cc2fe042686bfba8616b19f75d8d7f89f6e1a6ebdc950cdc7407b3fece533786214d50187f91b5b3aa2309941bffd6956d46228b8e658cab969d
diff --git a/app-admin/himitsu/himitsu-0.10.ebuild
b/app-admin/himitsu/himitsu-0.10.ebuild
new file mode 100644
index 0000000000..07e4f22be7
--- /dev/null
+++ b/app-admin/himitsu/himitsu-0.10.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+if [[ "${PV}" = "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.sr.ht/~sircmpwn/himitsu"
+ SLOT="0"
+else
+ SRC_URI="https://git.sr.ht/~sircmpwn/himitsu/archive/${PV}.tar.gz ->
${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~riscv"
+ SLOT="0/${PV}"
+fi
+
+DESCRIPTION="Secret storage system for Unix, suitable for storing passwords,
keys, ..."
+HOMEPAGE="https://git.sr.ht/~sircmpwn/himitsu"
+LICENSE="GPL-3"
+
+DEPEND="
+ >=dev-lang/hare-0.26.0:=
+"
+PDEPEND="
+ || (
+ app-admin/hiprompt-gtk
+ gui-apps/hiprompt-gtk-py
+ )
+"
+BDEPEND="app-text/scdoc"
+
+# binaries are hare-built
+QA_FLAGS_IGNORED="usr/bin/.*"
+
+src_configure() {
+ sed -i 's;^PREFIX=.*;PREFIX=/usr;' Makefile || die
+}